package com.zt.plat.module.qms.business.bus.service;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.zt.plat.module.qms.business.bus.controller.vo.BusinessAssayTaskDataReqVO;

/**
 * <b>SampleAnalysisAuditService</b>
 */
public interface SampleAnalysisAuditService {

	JSONObject getCrossAuditDataByTaskId(Long businessAssayTaskId);

	JSONObject getCrossAuditDataByTaskId(Long businessAssayTaskId, List<Long> businessAssayTaskDataIdList);
	
	void crossAuditByTaskId(Long businessAssayTaskId, String auditStatus);

	JSONObject getSampleResultAssessmentList(BusinessAssayTaskDataReqVO reqVO);

	JSONObject getParallelResultAssessment(Long businessSubSampleId, Long configAssayMethodId);

	JSONObject getDoubleCupResultAssessment(Long businessSubParentSampleId, Long configAssayMethodId);

	void assessmentDataReporting(Long businessSubSampleId, Long configAssayMethodId, Integer retestCount);

	/**
	 * 创建复检委托
	 * @param businessSubSampleId 子样id
	 * @param configAssayMethodId 分析方法id
	 * @param retestCount 复测次数
	 * @param taskCount 复检任务数
	 */
	void createReAnalysis(Long businessSubSampleId, Long configAssayMethodId, Integer retestCount, Integer taskCount);

	JSONObject modifyParallelResultAssessment(Long businessSubSampleId, Long configAssayMethodId, Long businessSubSampleAssessmentId, List<Long> businessAssayProjectDataIds);


}
